org.eclipse.graphiti.ui.internal.contextbuttons

## Interface IContextButtonManager

All Known Implementing Classes:
  ContextButtonManagerForPad

    public interface IContextButtonManager

An interface of a context button manager, which is responsible to show/hide a context buttons for an edit-part.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `deRegister(org.eclipse.gef.GraphicalEditPart graphicalEditPart)` Deregisters the given graphical edit-part from the context button manager.
`void` `hideContextButtonsInstantly()` Hides the context buttons (if they are currently showing).
`void` `register(org.eclipse.gef.GraphicalEditPart graphicalEditPart)` Registers the given graphical edit-part for the context button manager.
`void` `setContextButtonShowing(boolean enable)` Sets the general availability of the context button pad.

### Method Detail

#### register

    void register(org.eclipse.gef.GraphicalEditPart graphicalEditPart)

Registers the given graphical edit-part for the context button manager. As a result the context button manager will show the context buttons when the mouse is over the given graphical edit-part. Typically in this method the context button manager will register as mouse-listener on the edit-part.

Parameters:
  `graphicalEditPart` - The graphical edit-part to register for the context button manager.

#### deRegister

    void deRegister(org.eclipse.gef.GraphicalEditPart graphicalEditPart)

Deregisters the given graphical edit-part from the context button manager. Also see `register(GraphicalEditPart)`.

Parameters:
  `graphicalEditPart` - The graphical edit-part to deregister from the context button manager.

#### hideContextButtonsInstantly

    void hideContextButtonsInstantly()

Hides the context buttons (if they are currently showing). This method can be called from outside the context button manager to hide the context buttons, e.g. when the mouse leaves the editor, when the shape is moved/resized, ...

#### setContextButtonShowing

    void setContextButtonShowing(boolean enable)

Sets the general availability of the context button pad. This method enables the context button pad control from outside the manager